Page MenuHomePhabricator

Port Echo Selenium tests from Ruby to Node.js
Closed, ResolvedPublic

Description

Done

๐Ÿ‘ 368409 (mediawiki/extensions/Echo): Selenium test: alerts and notices are visible after logging in
๐Ÿค™ 368410 (integration/config): Run mediawiki-core-qunit-selenium-jessie for Echo
โšฐ๏ธ 391249 (integration/config): Run qunit-selenium for Echo
๐ŸคŸ 399131 (mediawiki/extensions/Echo): Remove Ruby browser tests
๐Ÿ–– 399209 (integration/config): Do not run selenium-Echo Jenkins job daily
๐Ÿ‘‹ 403640 (mediawiki/extensions/Echo): ESLint parserOptions is reduntand when es6 env is used
๐Ÿ‘‹โ˜๏ธ403646 (integration/config): Run qunit-selenium job for Echo
๐Ÿš€ 439615 (mediawiki/extensions/Echo): Make it possible to run Selenium tests from Echo folder
โœˆ๏ธ 439617 (mediawiki/extensions/Echo): Use new page objects from mediawiki/core in Selenium tests

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. ยท View Herald Transcript

Change 368409 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] WIP WebdriverIO test

https://gerrit.wikimedia.org/r/368409

Change 368410 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run mediawiki-core-qunit-selenium-jessie for Echo

https://gerrit.wikimedia.org/r/368410

Change 368410 merged by jenkins-bot:
[integration/config@master] Run mediawiki-core-qunit-selenium-jessie for Echo

https://gerrit.wikimedia.org/r/368410

@SBisson: @Etonkovidova and I are pairing on this. Let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

zeljkofilipin lowered the priority of this task from High to Normal.Nov 14 2017, 3:37 PM
zeljkofilipin claimed this task.

Change 391249 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run qunit-selenium for Echo

https://gerrit.wikimedia.org/r/391249

Change 399131 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Echo@master] Remove Ruby browser tests

https://gerrit.wikimedia.org/r/399131

@Etonkovidova @zeljkofilipin Were you working on this, or should we just go ahead and remove them per the meeting?

Change 368409 abandoned by Zfilipin:
Selenium test: alerts and notices are visible after logging in

Reason:
just an exercise

https://gerrit.wikimedia.org/r/368409

Change 391249 abandoned by Zfilipin:
Run qunit-selenium for Echo

https://gerrit.wikimedia.org/r/391249

@Mattflaschen-WMF go ahead and delete the tests. @Etonkovidova and I were just trying out Selenium for Echo. I have abandoned the patch.

Change 399209 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run selenium-Echo Jenkins job daily

https://gerrit.wikimedia.org/r/399209

Change 399209 merged by jenkins-bot:
[integration/config@master] Do not run selenium-Echo Jenkins job daily

https://gerrit.wikimedia.org/r/399209

zeljkofilipin renamed this task from Port Echo Selenium tests from Ruby to Node.js to Delete Echo Selenium tests.Dec 20 2017, 11:12 AM
zeljkofilipin lowered the priority of this task from Normal to Low.
zeljkofilipin claimed this task.

@Mattflaschen-WMF go ahead and delete the tests. @Etonkovidova and I were just trying out Selenium for Echo. I have abandoned the patch.

Done (patch is now up and restored).

Feel free to finish/review/merge the node.js one too. It seems useful.

Change 399131 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Remove Ruby browser tests

https://gerrit.wikimedia.org/r/399131

Change 368409 restored by Zfilipin:
Selenium test: alerts and notices are visible after logging in

Reason:
Per T171848#3855278

https://gerrit.wikimedia.org/r/368409

zeljkofilipin renamed this task from Delete Echo Selenium tests to Port Echo Selenium tests from Ruby to Node.js.Dec 22 2017, 12:43 PM
zeljkofilipin raised the priority of this task from Low to Normal.
zeljkofilipin reassigned this task from zeljkofilipin to Etonkovidova.

Change 368409 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Selenium test: alerts and notices are visible after logging in

https://gerrit.wikimedia.org/r/368409

Change 403640 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] ESLint parserOptions is reduntand when es6 env is used

https://gerrit.wikimedia.org/r/403640

Change 403646 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run qunit-selenium job for Echo

https://gerrit.wikimedia.org/r/403646

Change 403640 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] ESLint parserOptions is reduntand when es6 env is used

https://gerrit.wikimedia.org/r/403640

Change 403646 merged by jenkins-bot:
[integration/config@master] Run qunit-selenium job for Echo

https://gerrit.wikimedia.org/r/403646

Change 418940 had a related patch set uploaded (by Etonkovidova; owner: Etonkovidova):
[mediawiki/extensions/Echo@master] WIP Alerts popup is visible after clicking the icon

https://gerrit.wikimedia.org/r/418940

Change 418940 abandoned by Etonkovidova:
WIP Alerts popup is visible after clicking the icon

Reason:
It breaks the build. Will fix it later.

https://gerrit.wikimedia.org/r/418940

Change 418940 restored by Etonkovidova:
WIP Alerts popup is visible after clicking the icon

Reason:
testing fix

https://gerrit.wikimedia.org/r/418940

Change 439615 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] Make it possible to run Selenium tests from Echo folder

https://gerrit.wikimedia.org/r/439615

Change 439617 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] Use new page objects from mediawiki/core in Selenium tests

https://gerrit.wikimedia.org/r/439617

zeljkofilipin lowered the priority of this task from Normal to Low.

Change 439615 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] selenium: Make it possible to run tests from Echo folder

https://gerrit.wikimedia.org/r/439615

Change 439617 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Use new page objects from mediawiki/core in Selenium tests

https://gerrit.wikimedia.org/r/439617

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin closed this task as Resolved.

There are no Ruby Selenium tests in Echo, so the only existing Node.js Selenium test actually resolves this task. More tests could be added later, but it is out of scope of this task.